xscreensaver-text(1)

NAME
xscreensaver-text - prints some text to stdout, for use by screen savers.

SYNOPSIS
xscreensaver-text [--verbose] [--columns N] [--lines N] [--latin1] [--date] [--text STRING] [--file PATH] [--program CMD] [--url URL]

DESCRIPTION
The xscreensaver-text script prints out some text for use by various screensavers, according to the options set in the ~/.xscreensaver file. This may dump the contents of a file, run a program, or load a URL. The text is reformatted and wrapped as appropriate.

OPTIONS
xscreensaver-text accepts the following options:

--verbose or --v
    Print diagnostics to stderr. Multiple -v switches increase the amount of output.

--columns N or --cols N
    Where to wrap lines; default 72 columns.

--lines N
    Truncate output to at most this many lines. Default: unlimited.

--latin1
    Convert any UTF-8 characters in the input to their closest Latin1 equivalent for output.

Command line options may be used to override the settings in the ~/.xscreensaver file:

--date
    Print the host name and current time.

--text STRING
    Print out the given text. It may contain % escape sequences as per strftime(2).

--file PATH
    Print the contents of the given file, re-formatting it as per the other options.

--program CMD
    Run the given program and print its output, re-formatting it as per the other options.

--url URL
    Download and print the contents of the web page. If it contains HTML, RSS, or Atom, it will be converted to plain-text. This re-downloads the document every time it is run.

ENVIRONMENT

HTTP_PROXY, HTTPS_PROXY, http_proxy, or https_proxy
    to get the default proxy host and port.

BUGS
URLs should be cached, use "If-Modified-Since", and obey "Expires".

SEE ALSO
xscreensaver-settings(1), xscreensaver(1), fortune(1), phosphor(6x), apple2(6x), starwars(6x), fontglide(6x), dadadodo(1), webcollage(6x),

COPYRIGHT
Copyright © 2005-2021 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 20-Mar-2005.